de.dhbwstuttgart.syntaxtree.type

## Class WildcardType

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.type.Type
    - - de.dhbwstuttgart.syntaxtree.type.WildcardType

All Implemented Interfaces:
  IItemWithOffset

Direct Known Subclasses:
  ExtendsWildcardType, SuperWildcardType

    public class WildcardType
    extends Type

Stellt eine Wildcard in Java dar. z.B. void Test(? var){..}

Author:
  luar 2.12.06

### Field Summary

Fields
`protected ObjectType` `innerType`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.type.Type

`name, used`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`WildcardType(ObjectType innerType, SyntaxTreeNode parent, int offset)` Author: Arne LÃ¼dtke Standard Konstruktor fÃ¼r eine Wildcard

### Method Summary

All Methods Instance Methods Concrete Methods
`WildcardType` `clone()` Author: Arne LÃ¼dtke Gibt einen Klon der Wildcard zurÃ¼ck.
`boolean` `equals(java.lang.Object obj)` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
`FreshWildcardType` `GetFreshWildcardType()` Author: Arne LÃ¼dtke Gibt die passende FreshWildcardType Klasse zurÃ¼ck.
`Type` `GetWildcardType()` Author: Arne LÃ¼dtke Die Allgemeine Wildcard enthÃ¤lt keinen Typen.
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`
`void` `SetWildcardType(Type T)` Author: Arne LÃ¼dtke Setzt den Typ in der Wildcard, Allgemeine Wildcard hat aber keinen Typen.
`java.lang.String` `toString()` Author: Arne LÃ¼dtke Gibt String Entsprechung zurÃ¼ck.
`ConstraintType` `TYPE(TypeAssumptions ass, SyntaxTreeNode parent)` PrÃ¼ft ob der Typ in den Assumptions ass vorhanden ist.

### Methods inherited from class de.dhbwstuttgart.syntaxtree.type.Type

`applyResultSet, checkTYPE, get_Name, get_UsedId, getChildren, getInvolvedTypePlaceholder, getName, getOffset, getSimpleName, getSuperWildcardTypes, getUnresolvedTPH, getVariableLength, involves, set_UsedId, setOffset, Type2Key, Type2String`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### innerType

    protected ObjectType innerType

### Constructor Detail

#### WildcardType

    public WildcardType(ObjectType innerType,
                        SyntaxTreeNode parent,
                        int offset)

Author: Arne LÃ¼dtke
Standard Konstruktor fÃ¼r eine Wildcard

### Method Detail

#### toString

    public java.lang.String toString()

Author: Arne LÃ¼dtke
Gibt String Entsprechung zurÃ¼ck.

Overrides:
  `toString` in class `Type`

#### clone

    public WildcardType clone()

Author: Arne LÃ¼dtke
Gibt einen Klon der Wildcard zurÃ¼ck.

Specified by:
  `clone` in class `Type`
Returns:
  // ino.end // ino.method.clone.26768.definition public Type clone() // ino.end // ino.method.clone.26768.body { return new RefType(this.getName().toString(), this.getParent(),getOffset()); } // ino.end

#### GetFreshWildcardType

    public FreshWildcardType GetFreshWildcardType()

Author: Arne LÃ¼dtke
Gibt die passende FreshWildcardType Klasse zurÃ¼ck. Wird fÃ¼r CaptureConversion verwendet

#### GetWildcardType

    public Type GetWildcardType()

Author: Arne LÃ¼dtke
Die Allgemeine Wildcard enthÃ¤lt keinen Typen.

#### SetWildcardType

    public void SetWildcardType(Type T)

Author: Arne LÃ¼dtke
Setzt den Typ in der Wildcard, Allgemeine Wildcard hat aber keinen Typen.

Parameters:
  `T` - - Type to be set

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)

Overrides:
  `printJavaCode` in class `Type`

#### TYPE

    public ConstraintType TYPE(TypeAssumptions ass,
                               SyntaxTreeNode parent)

Description copied from class: `Type`
PrÃ¼ft ob der Typ in den Assumptions ass vorhanden ist. Dabei kann eine neue Instanz eines Typs entstehen, welche von der Methode zurÃ¼ckgegeben wird.

Overrides:
  `TYPE` in class `Type`
Parameters:
  `ass` - - Die Assumptions fÃ¼r den jeweiligen Kontext in dem sich der Typ befindet. public ConstraintType checkType(TypeAssumptions ass, SyntaxTreeNode parent){ ConstraintType t = ass.getTypeFor(this, this); if(t==null) throw new TypeinferenceException("Der Typ "+this.getName()+" ist nicht korrekt", parent); return t; }

#### equals

    public boolean equals(java.lang.Object obj)

Description copied from class: `Type`
Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle

Overrides:
  `equals` in class `Type`